Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86037 - dircolors defines a file type it later claims it can't handle
Summary: dircolors defines a file type it later claims it can't handle
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: fileutils
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-12 19:53 UTC by C.M. Connelly
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-17 14:06:40 UTC


Attachments (Terms of Use)

Description C.M. Connelly 2003-03-12 19:53:44 UTC
Description of problem:

``dircolors -p'' prints out a list of the file types that can be colorized (with
ls --color) that can be modified.  One of these is 

   DOOR 01;35	# door

When you use ``eval `dircolors <dbfile>`'' to reload your modified database, or
even just ``eval `dircolors`'' to restore the color database to the default, it
complains

   Unknown colorls variable `do'.

The colors are changed, however.


Version-Release number of selected component (if applicable):

4.1-10.1

How reproducible:

Always.

Steps to Reproduce:
1.  eval `dircolors`

or

1. dircolors -p > foo
2. eval `dircolors foo`

    
Actual results:

Error message  Unknown colorls variable `do'.

Other colors are changed.

Expected results:

Colors are reset with no output to terminal.

Additional info:

The color database in /etc/DIR_COLORS does not include the DOOR entry.  (And
also doesn't really match the output from ``dircolors -p'' at all.)

Comment 1 Tim Waugh 2003-03-17 14:06:40 UTC
Seems to work fine in the coreutils in rawhide.


Note You need to log in before you can comment on or make changes to this bug.